org.apache.ignite.ml.composition.boosting.convergence

## Class ConvergenceCheckerFactory

- java.lang.Object
- - org.apache.ignite.ml.composition.boosting.convergence.ConvergenceCheckerFactory

- Direct Known Subclasses:
    ConvergenceCheckerStubFactory, MeanAbsValueConvergenceCheckerFactory, MedianOfMedianConvergenceCheckerFactory

      public abstract class ConvergenceCheckerFactory
      extends Object

  Factory for ConvergenceChecker.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `precision` Precision of error checking.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvergenceCheckerFactory(double precision)` Creates an instance of ConvergenceCheckerFactory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract <K,V> ConvergenceChecker<K,V>` | `create(long sampleSize, IgniteFunction<Double,Double> externalLbToInternalMapping, Loss loss, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> vectorizer)` Create an instance of ConvergenceChecker.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### precision

          protected double precision

      Precision of error checking. If error <= precision then it is equated to 0.0

  - ### Constructor Detail

    - #### ConvergenceCheckerFactory

          public ConvergenceCheckerFactory(double precision)

      Creates an instance of ConvergenceCheckerFactory.
      Parameters:
        `precision` - Precision [0 <= precision < 1].

  - ### Method Detail

    - #### create

          public abstract <K,V> ConvergenceChecker<K,V> create(long sampleSize,
                                                               IgniteFunction<Double,Double> externalLbToInternalMapping,
                                                               Loss loss,
                                                               DatasetBuilder<K,V> datasetBuilder,
                                                               Preprocessor<K,V> vectorizer)

      Create an instance of ConvergenceChecker.
      Parameters:
        `sampleSize` - Sample size.
        `externalLbToInternalMapping` - External label to internal mapping.
        `loss` - Loss function.
        `datasetBuilder` - Dataset builder.
        `vectorizer` - Upstream vectorizer.
      Returns:
        ConvergenceCheckerFactory instance.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020